Last Comment Bug 689179 - The -moz-font-feature-settings contextual swash (cswh) is on by default
: The -moz-font-feature-settings contextual swash (cswh) is on by default
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Layout: Text (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: ---
Assigned To: Jonathan Kew (:jfkthame)
:
Mentors:
Depends on:
Blocks: 665939
  Show dependency treegraph
 
Reported: 2011-09-26 08:48 PDT by Brad Dunzer
Modified: 2012-01-16 10:17 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch, remove cswh from default features (973 bytes, patch)
2011-09-27 01:48 PDT, Jonathan Kew (:jfkthame)
jd.bugzilla: review+
Details | Diff | Splinter Review

Description Brad Dunzer 2011-09-26 08:48:06 PDT
User Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_6_8) AppleWebKit/535.1 (KHTML, like Gecko) Chrome/14.0.835.186 Safari/535.1

Steps to reproduce:

Used Adobe Calson Pro http://www.extensis.com/en/WebINK/fonts/font.jsp?family=Adobe+Caslon+Pro as a @font-face web font on a web page


Actual results:

The alternative capital swash is shown by default on the italic version of the font. However, by using the -moz-font-feature-settings: "cswh=0" the swash can be removed.


Expected results:

This should not be on by default. 
You can see a working example of this at http://www.extensis.com/common/WebINK/library/adobecalson.html
Comment 1 Brad Dunzer 2011-09-26 09:19:23 PDT
Update:: sorry that is contextual swash not capital swash
Comment 2 philippe (part-time) 2011-09-26 20:17:48 PDT
I can see that with Firefox 6 and older release builds (Fx 4+). Gecko 1.9.2 (Camino 2.1b2) doesn't show the issue.

aside
The font fails to load on the most recent Aurora nightly build, though. The Error console logs an cryptic error message:
Error: downloadable font: download failed (font-family: "ACaslonPro_Italic" style:normal weight:normal stretch:normal src index:0): status=2147746065
source: http://fnt.webink.com/wfs/?drawer=AA13AC1D-83A0-469D-A58D-C1A288BBF974&font=3069DB05-B9D9-34F9-B347-279CF482E797
Source Code:
@font-face {   font-family: "ACaslonPro_Italic";   font-style: normal;   font-weight: normal;   src: url("http://fnt.webink.com/wfs/?drawer=AA13AC1D-83A0-469D-A58D-C1A288BBF974&font=3069DB05-B9D9-34F9-B347-279CF482E797"); }
Comment 3 Brad Dunzer 2011-09-26 20:57:07 PDT
Correct the font is served from our WebINK servers and uses user-agent sniffing to hand down the correct font and Nightly builds will not work with our service.

Do I need to provide another sample page
Comment 4 John Daggett (:jtd) 2011-09-26 21:32:37 PDT
Yes, I pointed this out to Behdad and it's already fixed upstream:
http://mxr.mozilla.org/mozilla-central/source/gfx/harfbuzz/src/hb-ot-shape.cc#43

Jonathan, would it make sense to consider updating harfbuzz code after the sync tomorrow?
Comment 5 Jonathan Kew (:jfkthame) 2011-09-27 01:48:22 PDT
Created attachment 562683 [details] [diff] [review]
patch, remove cswh from default features

This just removes 'cswh' from the default features.

Yes, we'll want to take a full HB update sometime soon, but that will involve a bunch of work (there are significant API changes), so let's do this as an interim fix for the specific issue here.
Comment 6 Jonathan Kew (:jfkthame) 2011-09-27 02:05:50 PDT
https://hg.mozilla.org/mozilla-central/rev/803b01dcc589
Comment 7 Brad Dunzer 2011-09-27 07:54:36 PDT
Thanks for the quick work everyone. I look forward to seeing this show up in a build soon

Brad
Comment 8 Behdad Esfahbod 2012-01-16 08:57:30 PST
Jonathan, you should have added cswh to Arabic when removing from generic shaper.  Not a huge deal if you're going to rebase soon anyway.
Comment 9 Jonathan Kew (:jfkthame) 2012-01-16 10:17:38 PST
You're right - but let's see if we can get bug 695857 landed this month, which will supersede all this.

Note You need to log in before you can comment on or make changes to this bug.